edu.northwestern.at.morphadorner.tools.compareadornedfiles

## Class GetTokenChanges

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.compareadornedfiles.GetTokenChanges

-     public class GetTokenChanges
      extends java.lang.Object

  Get changes in tokens from one set of adorned files to another.

  Usage:

  java edu.northwestern.at.morphadorner.tools.compareadornedfiles.GetTokenChanges origfilesdirectory updatedfilesdirectory changelogfilesdirectory
  origfiledirectory -- Directory containing original TEI XML files.
  updatedfilesdirectory -- Directory containing updated TEI XML files.br /> changelogfilesdirectory -- Directory to receive change log files.

  For each pair of matching files in (origfiledirectory, updatedfilesdirectory) a change log file is written to changelogfilesdirectory. The change log is written in the format specified by CompareAdornedFiles. Only token-based changes are recorded in the change log file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `changeFilesDirectory` Output directory to receive change files.
    `protected static java.lang.String` | `newAdornedFilesDirectory` Input directory containing new adorned files.
    `protected static java.lang.String` | `oldAdornedFilesDirectory` Input directory containing old adorned files.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTokenChanges()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `getTokenChanges(java.lang.String[] args)` Get token changes for batch of adorned files.
    `static void` | `main(java.lang.String[] args)` Main program.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### oldAdornedFilesDirectory

          protected static java.lang.String oldAdornedFilesDirectory

      Input directory containing old adorned files.

    - #### newAdornedFilesDirectory

          protected static java.lang.String newAdornedFilesDirectory

      Input directory containing new adorned files.

    - #### changeFilesDirectory

          protected static java.lang.String changeFilesDirectory

      Output directory to receive change files.

  - ### Constructor Detail

    - #### GetTokenChanges

          public GetTokenChanges()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.
      Parameters:
        `args` - Command line arguments.

    - #### getTokenChanges

          public static void getTokenChanges(java.lang.String[] args)
                                      throws java.lang.Exception

      Get token changes for batch of adorned files.
      Parameters:
        `args` - Command line arguments.
      Throws:
        `java.lang.Exception`